## Index

### Functions

- TypedSet

## Functions

### TypedSet

- TypedSet(modelClass?: ModelConstructor<any>): PropertyDecorator

- - Defined in decorator/impl/collection/typed-set.decorator.ts:9

  Makes sure the property will be marshalled to a S(et) type. The modelClass is required if the collection items have some property decorators, so we can retrieve this information using the model class.

  #### Parameters

  - ##### Optional modelClass: ModelConstructor<any>

  #### Returns PropertyDecorator

Generated using TypeDoc